Package home | Report new bug | New search | Development Roadmap Status: Open | Feedback | All | Closed Since Version 1.7.2

Bug #733 php dep incorrectly generated
Submitted: 2004-02-11 10:19 UTC
From: smith at backendmedia dot com Assigned: lsmith
Status: Closed Package: PEAR_PackageFileManager
PHP Version: 4.3.4 OS: Win2k
Roadmaps: (Not assigned)    
Subscription  
Comments Add Comment Add patch


Anyone can comment on a bug. Have a simpler test case? Does it work for you on a different platform? Let us know! Just going to say 'Me too!'? Don't clutter the database with that please !
Your email address:
MUST BE VALID
Solve the problem : 48 - 43 = ?

 
 [2004-02-11 10:19 UTC] smith at backendmedia dot com
Description: ------------ Somehow the php version number I specified is generated incorrectly. See the package.xml and package.php files from the MDB2 package Reproduce code: --------------- $package->addDependency('php', '4.2.0', 'ge', 'pkg', false); Expected result: ---------------- <dep type="php" rel="ge" version="4.2.0"/> Actual result: -------------- <dep type="php" rel="ge" version="4.1.0"/>

Comments

 [2004-02-11 13:32 UTC] cellog
try $package->addDependency('php', '4.2.0', 'ge', 'php', false); ^^^ Incidentally, you should check the return value of every method call, as PEAR_Error is used to report problems like the above (PHP dep added as type Package, should be PHP) If the above change works, please change to bogus, otherwise, if no error is being reported, let me know, that shouldn't be happening. :) Greg
 [2004-02-18 22:41 UTC] lsmith
yup that did it